aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--[-rwxr-xr-x]scripts/compile_dmm.sh16
1 files changed, 14 insertions, 2 deletions
diff --git a/scripts/compile_dmm.sh b/scripts/compile_dmm.sh
index f9a6c78..c378bae 100755..100644
--- a/scripts/compile_dmm.sh
+++ b/scripts/compile_dmm.sh
@@ -21,9 +21,21 @@ else
fi
if [ "$OS_ID" == "centos" ]; then
- make pkg-rpm || exit 1
+ make pkg-rpm
+ if [ $? -eq 0 ]; then
+ echo "DMM rpm build is SUCCESS"
+ else
+ echo "DMM rpm build has FAILED"
+ exit 1
+ fi
elif [ "$OS_ID" == "ubuntu" ]; then
- make pkg-deb || exit 1
+ make pkg-deb
+ if [ $? -eq 0 ]; then
+ echo "DMM deb build is SUCCESS"
+ else
+ echo "DMM deb build has FAILED"
+ exit 1
+ fi
fi
echo "DMM build has FINISHED"